<div class="container-fluid">
  <div class="row">
    <div class="pt-5 d-flex flex-column justify-content-center">
      <div class="d-flex justify-content-center">
        <angular-d3-cloud
          [data]="data"
          [width]=width
          [height]="500"
          [padding]="2"
          font="serif"
          [rotate]="rotateFunction"
          [autoFill]="true"
        ></angular-d3-cloud>
      </div>
      <div class="d-flex justify-content-center">
        <button class="btn btn-outline-primary d-flex align-items-center justify-content-center"
                (click)="generateWordMap()">
          <span class="material-symbols-outlined pe-2">sync</span>Shuffle 'em
        </button>
        <div>
          <select #skills class="ms-1 form-select form-select-lg">
            <option disabled selected>Or, the boring overview...</option>
            <optgroup *ngFor="let skillType of skillsSelect | keyvalue" label="{{skillType.key | titlecase }}">
              <option *ngFor="let skill of skillType.value" value="{{ skill }}">{{ skill }}
              </option>
            </optgroup>
          </select>
        </div>
      </div>
    </div>
  </div>
</div>
